Last Comment Bug 685263 - Location Bar doesn't highlight domains with ports
: Location Bar doesn't highlight domains with ports
Status: RESOLVED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: Firefox 10
Assigned To: Dão Gottwald [:dao]
:
: Marco Bonardo [::mak]
Mentors:
http://localhost:1234/path/to/something/
Depends on:
Blocks: 451833 665580
  Show dependency treegraph
 
Reported: 2011-09-07 12:31 PDT by Eric Sh.
Modified: 2011-10-10 22:14 PDT (History)
6 users (show)
dao+bmo: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Example (2.34 KB, image/png)
2011-09-07 12:31 PDT, Eric Sh.
no flags Details
patch: don't parse leading "foo:" as a protocol when followed by a number (2.49 KB, patch)
2011-10-06 03:22 PDT, Dão Gottwald [:dao]
gavin.sharp: review+
Details | Diff | Splinter Review

Description Eric Sh. 2011-09-07 12:31:10 PDT
Created attachment 558911 [details]
Example

User Agent: Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0
Build ID: 20110902161802

Steps to reproduce:

Enter a domain with a port such as localhost:80/path/to/something


Actual results:

All of the text in the location bar is black


Expected results:

The domain part and the port should be highlighted
Comment 1 Eric Sh. 2011-10-05 13:43:45 PDT
Anyone has an idea where could I find this code and maybe try and fix this myself?
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-10-05 14:49:10 PDT
http://mxr.mozilla.org/mozilla-central/source/browser/base/content/urlbarBindings.xml#195
Comment 3 Dão Gottwald [:dao] 2011-10-06 03:22:27 PDT
Created attachment 565173 [details] [diff] [review]
patch: don't parse leading "foo:" as a protocol when followed by a number
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2011-10-09 07:36:33 PDT
https://hg.mozilla.org/mozilla-central/rev/094ec090a211
Comment 6 Eric Sh. 2011-10-10 22:14:45 PDT
Thank you confirmed as fixed in latest nightly.

Note You need to log in before you can comment on or make changes to this bug.